mailweb.openeuler.org
Manage this list

Keyboard Shortcuts

Thread View

  • j: Next unread message
  • k: Previous unread message
  • j a: Jump to all threads
  • j l: Jump to MailingList overview

Compass-ci

Threads by month
  • ----- 2025 -----
  • May
  • April
  • March
  • February
  • January
  • ----- 2024 -----
  • December
  • November
  • October
  • September
  • August
  • July
  • June
  • May
  • April
  • March
  • February
  • January
  • ----- 2023 -----
  • December
  • November
  • October
  • September
  • August
  • July
  • June
  • May
  • April
  • March
  • February
  • January
  • ----- 2022 -----
  • December
  • November
  • October
  • September
  • August
  • July
  • June
  • May
  • April
  • March
  • February
  • January
  • ----- 2021 -----
  • December
  • November
  • October
  • September
  • August
  • July
  • June
  • May
  • April
  • March
  • February
  • January
  • ----- 2020 -----
  • December
  • November
  • October
  • September
compass-ci@openeuler.org

November 2020

  • 29 participants
  • 1194 discussions
[PATCH v2 compass-ci] container/result-cifs: add the container to share /srv/result
by Xiao Shenwei 27 Nov '20

27 Nov '20
[why] our os-cifs container will mount three dir, /srv/os, /srv/initrd, /srv/result in order to reduce the coupling, need split them [how] one folder mount by one container [usage] mount -t cifs o guest,port=447 //ip/result /tmp/result Signed-off-by: Xiao Shenwei <xiaoshenwei96(a)163.com> --- container/result-cifs/Dockerfile | 22 ++++++++++++++++++++++ container/result-cifs/build | 5 +++++ container/result-cifs/smb.conf | 29 +++++++++++++++++++++++++++++ container/result-cifs/start | 24 ++++++++++++++++++++++++ 4 files changed, 80 insertions(+) create mode 100644 container/result-cifs/Dockerfile create mode 100755 container/result-cifs/build create mode 100644 container/result-cifs/smb.conf create mode 100755 container/result-cifs/start diff --git a/container/result-cifs/Dockerfile b/container/result-cifs/Dockerfile new file mode 100644 index 0000000..a0d47c2 --- /dev/null +++ b/container/result-cifs/Dockerfile @@ -0,0 +1,22 @@ +# Origin: https://github.com/Stanback/alpine-samba +# Copyright (C) 2016-2020 Eric D. Stanback +# SPDX-License-Identifier: GPL-3.0 + +FROM alpine:edge + +MAINTAINER Xiao Shenwei <xiaoshenwei96(a)163.com> + +RUN sed -ri.origin 's|^https?://dl-cdn.alpinelinux.org|http://mirrors.huaweicloud.com|g' /etc/apk/repositories +RUN adduser -u 1090 -D lkp +RUN apk add --update \ + samba-common-tools \ + samba-client \ + samba-server \ + bash +RUN rm -rf /var/cache/apk/* + +COPY ./smb.conf /etc/samba/ + +EXPOSE 447/tcp + +ENTRYPOINT ["smbd", "--foreground", "--no-process-group", "--log-stdout"] diff --git a/container/result-cifs/build b/container/result-cifs/build new file mode 100755 index 0000000..d97b6dd --- /dev/null +++ b/container/result-cifs/build @@ -0,0 +1,5 @@ +#!/bin/bash +# SPDX-License-Identifier: MulanPSL-2.0+ +# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved. + +docker build -t result-cifs . diff --git a/container/result-cifs/smb.conf b/container/result-cifs/smb.conf new file mode 100644 index 0000000..4ccd943 --- /dev/null +++ b/container/result-cifs/smb.conf @@ -0,0 +1,29 @@ +# refer to https://lkml.org/lkml/2019/7/16/716 and https://lkml.org/lkml/2019/9/19/586 +[global] + workgroup = MYGROUP + server string = Samba Server + map to guest = Bad User + load printers = no + printing = bsd + printcap name = /dev/null + disable spoolss = yes + disable netbios = yes + server role = standalone + server services = -dns, -nbt + smb ports = 445 + create mode = 0777 + directory mode = 0777 + guest only = yes + guest ok = yes + server min protocol = NT1 + unix extensions = yes + mangled names = no + +[result] + path = /srv/result/ + comment = result + browseable = yes + writable = yes + public = yes + force user = lkp + force group = lkp diff --git a/container/result-cifs/start b/container/result-cifs/start new file mode 100755 index 0000000..2d6acba --- /dev/null +++ b/container/result-cifs/start @@ -0,0 +1,24 @@ +#!/bin/bash +# SPDX-License-Identifier: MulanPSL-2.0+ +# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved. + +. $CCI_SRC/container/defconfig.sh + +lsmod | grep -q "^cifs\s" || { + sudo modprobe cifs +} + +docker_rm result-cifs + +cmd=( + docker run + -d + -p 447:445 + -v /etc/localtime:/etc/localtime:ro + -v /srv/result:/srv/result + --name result-cifs + --restart=always + result-cifs +) + +"${cmd[@]}" -- 2.23.0
2 1
0 0
[PATCH v2 lkp-tests] lkp-tests/*: fix cci jobs upload in container
by Wang Yong 27 Nov '20

27 Nov '20
docker can not use mount operation, so now use curl to upload cci-depends/cci-makepkg cgz file Signed-off-by: Wang Yong <wangyong0117(a)qq.com> --- distro/common | 10 ++++++++++ tests/cci-depends | 9 +++++++-- tests/cci-makepkg | 18 ++++++++++++++---- 3 files changed, 31 insertions(+), 6 deletions(-) diff --git a/distro/common b/distro/common index b48dfe5f1..ad6fc23e5 100755 --- a/distro/common +++ b/distro/common @@ -81,3 +81,13 @@ share_debian_package() exit 0 } + +upload_dest_cgz() +{ + . $LKP_SRC/lib/upload.sh + + local dir="$1" + local file="$(ls -F ${dir} | grep -v "@")" + + upload_one_curl "${dir}/${file}" "${dir}" >/dev/null +} diff --git a/tests/cci-depends b/tests/cci-depends index d5c21541d..123f3503a 100755 --- a/tests/cci-depends +++ b/tests/cci-depends @@ -29,8 +29,10 @@ pack_arch=$os_arch . $LKP_SRC/distro/$DISTRO -is_mount_point ${DEPS_MNT} && umount ${DEPS_MNT} -mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$DEPS_MNT $DEPS_MNT || die "Failed to run mount" +is_docker || { + is_mount_point ${DEPS_MNT} && umount ${DEPS_MNT} + mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$DEPS_MNT $DEPS_MNT || die "Failed to run mount" +} umask 002 @@ -59,3 +61,6 @@ fixup_preinstall fixup_arch_install $pack_arch pack_benchmark_deps + +is_docker || exit 0 +upload_dest_cgz ${pack_to} diff --git a/tests/cci-makepkg b/tests/cci-makepkg index d08f23718..e9d089289 100755 --- a/tests/cci-makepkg +++ b/tests/cci-makepkg @@ -34,11 +34,17 @@ pack_to=${os_mount}/${os}/${os_arch}/${os_version}/${benchmark} cd $LKP_SRC/pkg/$benchmark || die "pkg is empty" -[ -n "$LKP_SERVER" ] && { - is_mount_point ${PKG_MNT} && umount ${PKG_MNT} - mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$PKG_MNT $PKG_MNT || die "Failed to run mount" +mount_pkg_mnt() +{ + is_mount_point ${PKG_MNT} && umount ${PKG_MNT} + mount -t cifs -o guest,vers=1.0,noacl,nouser_xattr,port=446 //$LKP_SERVER$PKG_MNT $PKG_MNT || die "Failed to run mount" +} + +is_docker || { + [ -n "$LKP_SERVER" ] && mount_pkg_mnt } + curl_pkgfile() { curl -sS -H 'Content-Type: Application/json' -XPOST "$LKP_SERVER"':8100/git_command' \ @@ -140,7 +146,11 @@ build_source_pkg() PACMAN=true BUILDDIR=$TMP CARCH=$arch PKGEXT=.cgz CGZDEST="$sync_dest/$cgz_name" $makepkg - [ "$?" == 0 ] && update_softlink + [ "$?" == 0 ] || exit 1 + update_softlink + + is_docker || exit 0 + upload_dest_cgz ${sync_dest} } build_source_pkg -- 2.23.0
1 0
0 0
[PATCH v3 compass-ci 5/5] openeuler: build openeuler initramfs image with one command
by Wang Chenglong 27 Nov '20

27 Nov '20
[Why] Use the tool to create a new openeuler-$version initramfs image with one command, and we also can customize the pre-installed software by configuring ./packages-to-install. [How] We create a link button for the user to use. $CCI_SRC/rootfs/initramfs/openeuler/aarch64/${os_version}/build --- container/osimage/openeuler/run | 28 ++++++++++++++++++++++++++++ 1 file changed, 28 insertions(+) create mode 100755 container/osimage/openeuler/run diff --git a/container/osimage/openeuler/run b/container/osimage/openeuler/run new file mode 100755 index 0000000..dde9985 --- /dev/null +++ b/container/osimage/openeuler/run @@ -0,0 +1,28 @@ +#!/bin/bash +# SPDX-License-Identifier: MulanPSL-2.0+ +# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved. + +. ${CCI_SRC}/container/osimage/openeuler/lib +. ${CCI_SRC}/container/defconfig.sh + +export_root_passwd +DIR=$(dirname $(realpath $0)) + +cmd=( + docker run + --name init_docker + -v $DIR/create-image:/root/bin/create-image + -v $DIR/packages-to-install:/tmp/packages-to-install + -v $DIR/files-to-exclude:/tmp/files-to-exclude + -v $DIR/${image}.repo:/etc/yum.repos.d/openEuler.repo + -e ROOT_PASSWD=$ROOT_PASSWD + -e IMAGE_NAME=$IMAGE_NAME + $image + /root/bin/create-image +) + +load_docker_image +"${cmd[@]}" +cp_image_to_host +docker_rm init_docker &> /dev/null +echo "build finished" -- 2.23.0
1 0
0 0
[PATCH v3 compass-ci 4/5] openeuler: generate the cgz file in container
by Wang Chenglong 27 Nov '20

27 Nov '20
Install packages, set rootfs, pack images package and other actions in docker. Signed-off-by: Wang Chenglong <18509160991(a)163.com> --- container/osimage/openeuler/create-image | 37 ++++++++++++++++++++++++ 1 file changed, 37 insertions(+) create mode 100755 container/osimage/openeuler/create-image diff --git a/container/osimage/openeuler/create-image b/container/osimage/openeuler/create-image new file mode 100755 index 0000000..7402b2b --- /dev/null +++ b/container/osimage/openeuler/create-image @@ -0,0 +1,37 @@ +#!/bin/bash +# SPDX-License-Identifier: MulanPSL-2.0+ +# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved. + +install_packages() +{ + yum -y install --skip-broken $(</tmp/packages-to-install) + yum clean all +} + +setup_rootfs() +{ + ln -fs /usr/share/zoneinfo/Asia/Shanghai /etc/localtime + rm -f /etc/machine-id /var/lib/dbus/machine-id + systemd-machine-id-setup +} + +setup_login() { + [ -n "$ROOT_PASSWD" ] || return + echo "Changing root password" + passwd_md5=$(openssl passwd -1 "$ROOT_PASSWD") + sed -i -r "s/^root:[^:]*:(.*)/root:${passwd_md5//\//\\/}:\1/" "$ROOTFS_DIR/etc/shadow" + + sed -i 's/[# ]PermitRootLogin.*/PermitRootLogin yes/' "$ROOTFS_DIR/etc/ssh/sshd_config" +} + +pack_cgz() +{ + echo "Packing package. Please wait." + find / ! -path "/tmp/${IMAGE_NAME}" | grep -vf /tmp/files-to-exclude | cpio -o -Hnewc | gzip -9 > /tmp/${IMAGE_NAME} + chmod 644 /tmp/${IMAGE_NAME} +} + +install_packages +setup_rootfs +setup_login +pack_cgz -- 2.23.0
1 0
0 0
[PATCH v3 compass-ci 3/5] openeuler: the function executed in host
by Wang Chenglong 27 Nov '20

27 Nov '20
Generate the root password, download and load the Docker image, and copy the image package to the host. Signed-off-by: Wang Chenglong <18509160991(a)163.com> --- container/osimage/openeuler/lib | 45 +++++++++++++++++++++++++++++++++ 1 file changed, 45 insertions(+) create mode 100755 container/osimage/openeuler/lib diff --git a/container/osimage/openeuler/lib b/container/osimage/openeuler/lib new file mode 100755 index 0000000..e0b7017 --- /dev/null +++ b/container/osimage/openeuler/lib @@ -0,0 +1,45 @@ +#!/bin/bash +# SPDX-License-Identifier: MulanPSL-2.0+ +# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved. + +DIR="$(pwd)" +os_name="$(echo $DIR | awk -F "/" '{print $(NF - 2)}')" +os_version="$(echo $DIR | awk -F "/" '{print $NF}')" +docker_url="https://repo.openeuler.org/openEuler-${os_version}/docker_img/aarch64/openE…" +docker_tar_file="openEuler-${os_version}-docker.aarch64.tar.xz" +image=$(echo "${os_name}-${os_version,,}") +IMAGE_NAME="${os_name}-${os_version}-$(date +"%Y%m%d").cgz" + +export_root_passwd() +{ + local root_pwd_file="$HOME/.config/compass-ci/rootfs-passwd" + [ -f "$root_pwd_file" ] || { + echo "[INFO] Please set the password file." + echo "$HOME/.config/compass-ci/rootfs-passwd" + exit 1 + } + + export ROOT_PASSWD=$(cat "$root_pwd_file") +} + +load_docker_image() +{ + if [[ "$os_version" == '20.09' || "$os_version" == '20.03-LTS' ]]; then + [ -f "$HOME/$docker_tar_file" ] || wget -O "$HOME/$docker_tar_file" "$docker_url" + fi + + docker load -i "$HOME/$docker_tar_file" + + if [ $? -eq 0 ]; then + echo "finish downloading image" + else + echo "[ERROR] Pull docker image failed." + exit 1 + fi +} + +cp_image_to_host() +{ + docker cp -a init_docker:/tmp/${IMAGE_NAME} $HOME/ + echo "result: $(ls $HOME/${IMAGE_NAME})" +} -- 2.23.0
1 0
0 0
[PATCH v3 compass-ci 2/5] openeuler: configure files about build image with one command
by Wang Chenglong 27 Nov '20

27 Nov '20
[Contains] openeule-${os_version}.repo: yum configuration files files-to-exclude: list of files that need to be excluded packages-to-install: list of packages that need to install README.md: descriptive documentation Signed-off-by: Wang Chenglong <18509160991(a)163.com> --- container/osimage/openeuler/README.md | 15 +++++++ container/osimage/openeuler/files-to-exclude | 11 +++++ .../openeuler/openeuler-20.03-lts.repo | 43 +++++++++++++++++++ .../osimage/openeuler/openeuler-20.09.repo | 43 +++++++++++++++++++ .../osimage/openeuler/packages-to-install | 10 +++++ 5 files changed, 122 insertions(+) create mode 100644 container/osimage/openeuler/README.md create mode 100644 container/osimage/openeuler/files-to-exclude create mode 100644 container/osimage/openeuler/openeuler-20.03-lts.repo create mode 100644 container/osimage/openeuler/openeuler-20.09.repo create mode 100644 container/osimage/openeuler/packages-to-install diff --git a/container/osimage/openeuler/README.md b/container/osimage/openeuler/README.md new file mode 100644 index 0000000..cea68f9 --- /dev/null +++ b/container/osimage/openeuler/README.md @@ -0,0 +1,15 @@ +# Use the tool to create a new openeuler-${os_version} initramfs image. + +Usage: + cd ${CCI_SRC}/rootfs/initramfs/openeuler/aarch64/${os_version}/ + ./build + +Some configuration items: +./packages-to-install + If you want to pre-install the software, you can write the package names in ./packages-to-install. + +./files-to-exclude + If you want remove some unnecessary files, you can write the names in ./files-to-exclude + +$HOME/.config/compass-ci/rootfs-passwd + Set the password for the image into this file. diff --git a/container/osimage/openeuler/files-to-exclude b/container/osimage/openeuler/files-to-exclude new file mode 100644 index 0000000..3854947 --- /dev/null +++ b/container/osimage/openeuler/files-to-exclude @@ -0,0 +1,11 @@ +/.dockerenv +/lib/modules +/usr/lib/modules +/usr/share/doc +/usr/share/man +/usr/share/info +/usr/share/i18n +/usr/share/locale +/usr/share/terminfo +/tmp/files-to-exclude +/tmp/packages-to-install diff --git a/container/osimage/openeuler/openeuler-20.03-lts.repo b/container/osimage/openeuler/openeuler-20.03-lts.repo new file mode 100644 index 0000000..691f438 --- /dev/null +++ b/container/osimage/openeuler/openeuler-20.03-lts.repo @@ -0,0 +1,43 @@ +#generic-repos is licensed under the Mulan PSL v2. +#You can use this software according to the terms and conditions of the Mulan PSL v2. +#You may obtain a copy of Mulan PSL v2 at: +# http://license.coscl.org.cn/MulanPSL2 +#THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR +#IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR +#PURPOSE. +#See the Mulan PSL v2 for more details. + +[OS] +name=OS +baseurl=http://repo.openeuler.org/openEuler-20.03-LTS/OS/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.03-LTS/OS/$basearch/RPM-GPG-KEY-openEuler + +[everything] +name=everything +baseurl=http://repo.openeuler.org/openEuler-20.03-LTS/everything/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.03-LTS/everything/$basearch/RPM-GPG-KEY-openEuler + +[EPOL] +name=EPOL +baseurl=http://repo.openeuler.org/openEuler-20.03-LTS/EPOL/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.03-LTS/EPOL/$basearch/RPM-GPG-KEY-openEuler + +[debuginfo] +name=debuginfo +baseurl=http://repo.openeuler.org/openEuler-20.03-LTS/debuginfo/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.03-LTS/debuginfo/$basearch/RPM-GPG-KEY-openEuler + +[source] +name=source +baseurl=http://repo.openeuler.org/openEuler-20.03-LTS/source/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.03-LTS/source/RPM-GPG-KEY-openEuler diff --git a/container/osimage/openeuler/openeuler-20.09.repo b/container/osimage/openeuler/openeuler-20.09.repo new file mode 100644 index 0000000..1da7571 --- /dev/null +++ b/container/osimage/openeuler/openeuler-20.09.repo @@ -0,0 +1,43 @@ +#generic-repos is licensed under the Mulan PSL v2. +#You can use this software according to the terms and conditions of the Mulan PSL v2. +#You may obtain a copy of Mulan PSL v2 at: +# http://license.coscl.org.cn/MulanPSL2 +#THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR +#IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR +#PURPOSE. +#See the Mulan PSL v2 for more details. + +[OS] +name=OS +baseurl=http://repo.openeuler.org/openEuler-20.09/OS/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.09/OS/$basearch/RPM-GPG-KEY-openEuler + +[everything] +name=everything +baseurl=http://repo.openeuler.org/openEuler-20.09/everything/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.09/everything/$basearch/RPM-GPG-KEY-openEuler + +[EPOL] +name=EPOL +baseurl=http://repo.openeuler.org/openEuler-20.09/EPOL/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.09/EPOL/$basearch/RPM-GPG-KEY-openEuler + +[debuginfo] +name=debuginfo +baseurl=http://repo.openeuler.org/openEuler-20.09/debuginfo/$basearch/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.09/debuginfo/$basearch/RPM-GPG-KEY-openEuler + +[source] +name=source +baseurl=http://repo.openeuler.org/openEuler-20.09/source/ +enabled=1 +gpgcheck=1 +gpgkey=http://repo.openeuler.org/openEuler-20.09/source/RPM-GPG-KEY-openEuler diff --git a/container/osimage/openeuler/packages-to-install b/container/osimage/openeuler/packages-to-install new file mode 100644 index 0000000..f17eee1 --- /dev/null +++ b/container/osimage/openeuler/packages-to-install @@ -0,0 +1,10 @@ +cpio +systemd-udev.aarch64 +cifs-utils +nfs-utils +hostname +curl +openssh-server +openssl +iputils +wget -- 2.23.0
1 0
0 0
[PATCH v3 compass-ci 1/5] openeuler: the link for one command to build openeuler initramfs image
by Wang Chenglong 27 Nov '20

27 Nov '20
Signed-off-by: Wang Chenglong <18509160991(a)163.com> --- rootfs/initramfs/openeuler/aarch64/20.03-LTS/build | 1 + rootfs/initramfs/openeuler/aarch64/20.09/build | 1 + 2 files changed, 2 insertions(+) create mode 120000 rootfs/initramfs/openeuler/aarch64/20.03-LTS/build create mode 120000 rootfs/initramfs/openeuler/aarch64/20.09/build diff --git a/rootfs/initramfs/openeuler/aarch64/20.03-LTS/build b/rootfs/initramfs/openeuler/aarch64/20.03-LTS/build new file mode 120000 index 0000000..f04acac --- /dev/null +++ b/rootfs/initramfs/openeuler/aarch64/20.03-LTS/build @@ -0,0 +1 @@ +../../../../../container/osimage/openeuler/run \ No newline at end of file diff --git a/rootfs/initramfs/openeuler/aarch64/20.09/build b/rootfs/initramfs/openeuler/aarch64/20.09/build new file mode 120000 index 0000000..f04acac --- /dev/null +++ b/rootfs/initramfs/openeuler/aarch64/20.09/build @@ -0,0 +1 @@ +../../../../../container/osimage/openeuler/run \ No newline at end of file -- 2.23.0
1 0
0 0
[PATCH compass-ci] doc: remove extra how-to-create-a-PKGBUILD.md
by Liu Shaofei 26 Nov '20

26 Nov '20
Signed-off-by: Liu Shaofei <liushaofei5(a)huawei.com> --- doc/how-to-create-a-PKGBUILD.md | 79 --------------------------------- 1 file changed, 79 deletions(-) delete mode 100644 doc/how-to-create-a-PKGBUILD.md diff --git a/doc/how-to-create-a-PKGBUILD.md b/doc/how-to-create-a-PKGBUILD.md deleted file mode 100644 index 01e1084..0000000 --- a/doc/how-to-create-a-PKGBUILD.md +++ /dev/null @@ -1,79 +0,0 @@ -# ������������PKGBUILD - -## PKGBUILD������������ - - PKGBUILD���������shell���������makepkg������PKGBUILD������������������������������������������������������������������������������ - -## PKGBUILD��������������� - - PKGBUILD��������������������������������������� - - 1������������������ - - - pkgname: ���������������������������������������; - - pkgver: ��������������������������������������������� - - pkgrel: ��������������������������������������������� - - arch: ������������������������������������������������������ - - depends: ��������������������������������������������������������������� - - makedepends: ��������������������������������������������������������� - - source: ���������������������������������������MD5��������������������������������������������������������������� - - 2������������������ - - - package������ - package��������������������������������������������������������������������������������������������������� - - prepare������ - ���������������prepare������������������������������������������������������������ - - build������ - ���������������build������������������������/������������������ - - check������ - ���������������check������������������������������������������������ - - ���������srcdir ��� pkgdir - - - srcdir: ������������������������������������������������������������srcdir��������������������� - - pkgdir: ������������������������������������package������������������ - -## ������������PKGBUILD��� - - 1������������PKGBUILD������������������������PKGBUILD������������ - - `touch PKGBUILD` - - 2������������vim������PKGBUILD���������PKGBUILD��������������� - - ������������������������PKGBUILD��������� - - pkgname=zstd - pkgver=1.4.4 - pkgrel=2 - arch=('i686' 'x86_64' 'aarch64') - url='https://github.com/facebook/zstd' - license=('custom:BSD3' 'GPL2') - depends=('xz' 'zlib' 'lz4') - makedepends=('git') - source=('git://github.com/facebook/zstd.git#branch=dev') - md5sums=('SKIP') - - pkgver() { - cd "$srcdir/$pkgname" - git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//g' - } - - build() { - cd "$srcdir/$pkgname" - make - make -C contrib/pzstd - } - - package() { - cd "$srcdir/$pkgname" - make PREFIX="/usr" DESTDIR="$pkgdir/" install - install -D -m755 contrib/pzstd/pzstd "$pkgdir/usr/bin/pzstd" - install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" - } - -## ������ - - https://www.archlinux.org/pacman/PKGBUILD.5.html - https://git.archlinux.org/pacman.git/plain/proto/PKGBUILD.proto -- 2.23.0
1 0
0 0
[PATCH v2 compass-ci] doc/job: add lkp_initrd_user.md
by Zhang Yale 26 Nov '20

26 Nov '20
Add a document for introducing the lkp_initrd_user field. Signed-off-by: Zhang Yale <ylzhangah(a)qq.com> --- doc/job/lkp_initrd_user.md | 10 ++++++++++ 1 file changed, 10 insertions(+) create mode 100644 doc/job/lkp_initrd_user.md diff --git a/doc/job/lkp_initrd_user.md b/doc/job/lkp_initrd_user.md new file mode 100644 index 0000000..45e6d39 --- /dev/null +++ b/doc/job/lkp_initrd_user.md @@ -0,0 +1,10 @@ +# lkp_initrd_user + +Meaning: +- "lkp_initrd_user" is one of the init_field, the default value is "latest". +- User can set lkp_initrd_user to $USER in "/home/$USER/.config/compass-ci/default/$USER.yaml or not set. +- If the lkp-tests code is changed, build & run the lkp-initrd container which in "${CCI_SRC}/container/lkp-initrd" + to pack a new lkp-${os_arch}.cgz. +- The new lkp-${os_arch}.cgz file is generated in the "${SRV_INITRD}/lkp/${lkp_initrd_user}/lkp-${os_arch}.cgz". +- When user submit one job, qemu-pxe or other start mount the <"lkp"> initrd to consume the user submited <"job">, + "initrd http://${INITRD_HTTP_HOST}:${INITRD_HTTP_PORT}/initrd/lkp/${lkp_initrd_user}/lkp-${os_arch}.cgz". -- 2.23.0
1 0
0 0
[PATCH v2 compass-ci 1/2] kernel_version.md: update kernel information
by Xu Xijian 26 Nov '20

26 Nov '20
1. delete redundant soft links of kernel files I've created before and update this information in kernel_version.md. 2. the kernel version of centos/aarch64/7.6.1810 we use has been changed into 4.14.0-115.el7.0.1.aarch64. Signed-off-by: Xu Xijian <hdxuxijian(a)163.com> --- doc/job/kernel_version.md | 16 ++++++++-------- 1 file changed, 8 insertions(+), 8 deletions(-) diff --git a/doc/job/kernel_version.md b/doc/job/kernel_version.md index 3e94ca8..4a193fb 100644 --- a/doc/job/kernel_version.md +++ b/doc/job/kernel_version.md @@ -6,10 +6,10 @@ Meaning: - If kernel_version is not given by users, it will use the default one. - Here are the kernel versions we support for different os: openeuler/aarch64/1.0 - - 4.19.90-2001(default) + - 4.19.90-vhulk2001.1.0.0026.aarch64(default) openeuler/aarch64/20.03 - - 4.19.90-2003(default) + - 4.19.90-2003.4.0.0036.oe1.aarch64(default) - 4.19.90-mysql - 4.19.90-nginx @@ -18,7 +18,7 @@ Meaning: - 5.8.0-1-arm64 centos/aarch64/7.6.1810 - - 4.14.0-115.el7a.0.1(default) + - 4.14.0-115.el7.0.1.aarch64(default) centos/aarch64/7.8.2003 - 4.18.0-147.8.1.el7(default) @@ -29,10 +29,10 @@ Meaning: Related files: - In initramfs boot process, every kernel version is related with a vmlinuz, module and headers. - Files like below under $boot_dir, an example $boot_dir can be "/srv/os/openeuler/aarch64/20.03/boot". -├── headers-4.19.90-2003.cgz -├── modules-4.19.90-2003.cgz -├── vmlinuz-4.19.90-2003 -└── vmlinuz -> vmlinuz-4.19.90-2003 +├── headers-4.19.90-2003.4.0.0036.oe1.aarch64.cgz +├── modules-4.19.90-2003.4.0.0036.oe1.aarch64.cgz +├── vmlinuz-4.19.90-2003.4.0.0036.oe1.aarch64 +└── vmlinuz -> vmlinuz-4.19.90-2003.4.0.0036.oe1.aarch64 Usage example: -- submit iperf.yaml testbox=vm-2p8g queue=vm-2p8g~$USER os=openeuler os_arch=aarch64 os_version=20.03 runtime=20 kernel_version=4.19.90-2003 +- submit iperf.yaml testbox=vm-2p8g queue=vm-2p8g~$USER os=openeuler os_arch=aarch64 os_version=20.03 runtime=20 kernel_version=4.19.90-2003.4.0.0036.oe1.aarch64 -- 2.23.0
1 0
0 0
  • ← Newer
  • 1
  • ...
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • ...
  • 120
  • Older →

HyperKitty Powered by HyperKitty